Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.
  • That’s just an automated trying to exploit some known hole or other in WordPress. PHP’s require can load libraries from remote machines over HTTP, and many PHP programs use dynamic requires` without sufficiently sanitising the input, resulting in a holes exploitable in the way you see in your logs.

    As for Perl being used for that purpose, eh, so what? If it wasn’t, it’d be wget, or something Python, or in Ruby, or in Java, or whatever.